Update a vehicle property

PATCH https://api.expirationreminder.com/v1/vehicles/{id}

Path Parameters

id string Required

Request Body

Sample Request

[
    {
    "operationType": "0",
    "path": "string",
    "op": "string",
    "from": "string",
    "value": null
  }
  ]
PATCH /v1/vehicles/{id}
$ curl https://api.expirationreminder.com/v1/vehicles/{id} \
  -H "Authorization: Bearer <token>"

Responses

Property Type Description
id string (uuid) -
name string -
vin string -
license_plate string -
year integer (int32) -
make string -
model string -
trim string -
color string -
body_type string -
registration_province string -
msrp number (double) -
primary_meter_type_id integer (int32) -
primary_meter_reading integer (int32) -
ownership_id integer (int32) -
status_id string (uuid) -
folder_id string (uuid) -
location_id string (uuid) -
type_id string (uuid) -
vehicle_fuel_type_id string (uuid) -
assigned_to_contact_id string (uuid) -
assigned_to UserModel -
team_id string (uuid) -
is_archived boolean -
modified string -
custom_fields CustomFieldModel[] -

Example Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "vin": "string",
  "license_plate": "string",
  "year": 0,
  "make": "string",
  "model": "string",
  "trim": "string",
  "color": "string",
  "body_type": "string",
  "registration_province": "string",
  "msrp": 0.0,
  "primary_meter_type_id": 0,
  "primary_meter_reading": 0,
  "ownership_id": 0,
  "status_id": "00000000-0000-0000-0000-000000000000",
  "folder_id": "00000000-0000-0000-0000-000000000000",
  "location_id": "00000000-0000-0000-0000-000000000000",
  "type_id": "00000000-0000-0000-0000-000000000000",
  "vehicle_fuel_type_id": "00000000-0000-0000-0000-000000000000",
  "assigned_to_contact_id": "00000000-0000-0000-0000-000000000000",
  "assigned_to": {
    "name": "string",
    "email": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "team_id": "00000000-0000-0000-0000-000000000000"
  },
  "team_id": "00000000-0000-0000-0000-000000000000",
  "is_archived": false,
  "modified": "string",
  "custom_fields": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "value": "string"
  }
  ]
}

Not Found

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}

Not Modified

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}

Conflict

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}
An unhandled error has occurred. Reload 🗙

Rejoining the server...

Rejoin failed... trying again in seconds.

Failed to rejoin.
Please retry or reload the page.

The session has been paused by the server.

Failed to resume the session.
Please retry or reload the page.